//====================================================================
// WeapBindFix
//====================================================================
class WeapBindFix extends Mutator config(User);

simulated function PostNetBeginPlay() 
{
	local int i, key;
    	local string keyName, bind, bindCaps, highestweapon;
	local string test;

	if (Level.NetMode != NM_Client || PlayerPawn(Owner) == None) { return; }


	playerpawn(owner).saveconfig();
	for ( key = 0; key < 255; key++ )
    	{
            keyName = PlayerPawn(Owner).ConsoleCommand("KEYNAME"@key);
      		bind = PlayerPawn(Owner).ConsoleCommand("KEYBINDING"@keyName);
       		bindCaps = Caps(bind);
		if ((InStr(bindCaps, "GETWEAPON SNIPERRIFLE") != -1) && (InStr(bindCaps, "GETWEAPON NW_SNIPERRIFLE") == -1)) {
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON SNIPERRIFLE", "GETWEAPON SNIPERRIFLE|GETWEAPON NW_SNIPERRIFLE")); 
			}
		if ((InStr(bindCaps, "GETWEAPON UT_EIGHTBALL") != -1) && (InStr(bindCaps, "GETWEAPON NW_EIGHTBALL") == -1)) {
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON UT_EIGHTBALL", "GETWEAPON UT_EIGHTBALL|GETWEAPON NW_EIGHTBALL"));
			}
		if ((InStr(bindCaps, "GETWEAPON UT_FLAKCANNON") != -1) && (InStr(bindCaps, "GETWEAPON NW_FLAKCANNON") == -1)) {
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON UT_FLAKCANNON", "GETWEAPON UT_FLAKCANNON|GETWEAPON NW_FLAKCANNON"));
			}
		if ((InStr(bindCaps, "GETWEAPON MINIGUN2") != -1) && (InStr(bindCaps, "GETWEAPON NW_MINIGUN") == -1)) {
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON MINIGUN2", "GETWEAPON MINIGUN2|GETWEAPON NW_MINIGUN"));
			}
		if ((InStr(bindCaps, "GETWEAPON RIPPER") != -1) && (InStr(bindCaps, "GETWEAPON NW_BLADERIPPER") == -1)) { 
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON RIPPER", "GETWEAPON RIPPER|GETWEAPON NW_BLADERIPPER")); 
			}
		If ((InStr(bindCaps, "GETWEAPON PULSEGUN") != -1) && (InStr(bindCaps, "GETWEAPON NW_PULSEGUN") == -1)) {
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON PULSEGUN", "GETWEAPON PULSEGUN|GETWEAPON NW_PULSEGUN"));
			}
		if ((InStr(bindCaps, "GETWEAPON SHOCKRIFLE") != -1) && (InStr(bindCaps, "GETWEAPON NW_SHOCKRIFLE") == -1)) {
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON SHOCKRIFLE", "GETWEAPON SHOCKRIFLE|GETWEAPON NW_SHOCKRIFLE")); 
			}
		if ((InStr(bindCaps, "GETWEAPON UT_BIORIFLE") != -1) && (InStr(bindCaps, "GETWEAPON NW_BIORIFLE") == -1)) { 
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON UT_BIORIFLE", "GETWEAPON UT_BIORIFLE|GETWEAPON NW_BIORIFLE")); 
			}
		if ((InStr(bindCaps, "GETWEAPON ENFORCER") != -1) && (InStr(bindCaps, "GETWEAPON NW_ENFORCER") == -1)) { 
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON ENFORCER", "GETWEAPON ENFORCER|GETWEAPON NW_ENFORCER")); 
			}
        if ((InStr(bindCaps, "GETWEAPON IMPACTHAMMER") != -1) && (InStr(bindCaps, "GETWEAPON NW_IMPACTHAMMER") == -1)) { 
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON IMPACTHAMMER", "GETWEAPON IMPACTHAMMER|GETWEAPON NW_IMPACTHAMMER")); 
			}
        if ((InStr(bindCaps, "GETWEAPON TRANSLOCATOR") != -1) && (InStr(bindCaps, "GETWEAPON NW_TRANSLOCATOR") == -1)) { 
			PlayerPawn(Owner).ConsoleCommand("SET INPUT"@keyName@ReplaceText(bindcaps, "GETWEAPON TRANSLOCATOR", "GETWEAPON TRANSLOCATOR|GETWEAPON NW_TRANSLOCATOR")); 
			}
	}
}

static final function string ReplaceText(coerce string Text, coerce string Replace, coerce string With)
{
    local int i;
    local string Output;
    
    i = InStr(Text, Replace);
    while (i != -1) {   
        Output = Output $ Left(Text, i) $ With;
        Text = Mid(Text, i + Len(Replace)); 
        i = InStr(Text, Replace);
    }
    Output = Output $ Text;
    return Output;
}

defaultproperties
{
}
