//===================================================================
// NW_ChunkTracer
//===================================================================
class NW_ChunkTracer extends UTChunk;

var	chunktrail trail;
var Texture AnimFrame[12];
var int Count;

simulated function PostBeginPlay()
{
	local rotator RandRot;

	if ( Level.NetMode != NM_DedicatedServer )
	{
		if ( !Region.Zone.bWaterZone )
			Trail = Spawn(class'NW_ChunkTrail',self);
		SetTimer(0.1, true);
	}

	if ( Role == ROLE_Authority )
	{
		RandRot = Rotation;
		RandRot.Pitch += FRand() * 1000 - 1000;
		RandRot.Yaw += FRand() * 1000 - 1000;
		RandRot.Roll += FRand() * 1000 - 1000;
		Velocity = Vector(RandRot) * (Speed + (FRand() * 100 - 100));
		
		if (Region.zone.bWaterZone)
			Velocity *= 0.65;
		}
		
		Super.PostBeginPlay();
		
	trail.destroy();
}

simulated function Landed( Vector HitNormal )
{
	SetPhysics(PHYS_None);
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	local float Rand;
	local SmallSpark s;
	
destroy();

}

defaultproperties {
    speed=3000.00
    Damage=0.00
    LifeSpan=2.00
    Texture=Texture'UnrealShare.Belt_fx.ShieldBelt.newgold'
    Mesh=LodMesh'Botpack.MiniTrace'
    DrawScale=2.00
    ScaleGlow=2.00
    MultiSkins(1)=Texture'UnrealShare.Belt_fx.ShieldBelt.newgold'
}
