//===================================================================
// NW_FlakSlug
//===================================================================
class NW_FlakSlug extends FlakSlug;

var	chunktrail trail;
var vector initialDir;

simulated function PostBeginPlay()
{
	if ( !Region.Zone.bWaterZone && (Level.NetMode != NM_DedicatedServer) )
		Trail = Spawn(class'NW_ChunkTrail',self);

	Super.PostBeginPlay();
	Velocity = Vector(Rotation) * Speed;     
	initialDir = Velocity;
	Velocity.z += 200; 
	initialDir = Velocity;
	if ( Level.bHighDetailMode  && !Level.bDropDetail ) 
		SetTimer(0.04,True);
	else 
		SetTimer(0.25,True);
}

function Explode(vector HitLocation, vector HitNormal)
{
	local vector start;

	HurtRadius(damage, 150, 'FlakDeath', MomentumTransfer, HitLocation);	
	start = Location + 10 * HitNormal;
 	Spawn( class 'UT_FlameExplosion',,,Start);
	Spawn( class 'NW_UTChunk2',, '', Start);
	Spawn( class 'NW_UTChunk3',, '', Start);
	Spawn( class 'NW_UTChunk4',, '', Start);
	Spawn( class 'NW_UTChunk1',, '', Start);
	Spawn( class 'NW_UTChunk2',, '', Start);
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
	Spawn( class 'NW_ChunkTracer',, '', Location,RotRand());
    spawn( class'NW_FlakWallHit',,,);
	spawn( class'NW_FlakSmoke',,,);
	Destroy();
}

defaultproperties {
}
